[建议]为什么不在光盘里把那些c语言和c++语言用到的编译库加进去啊

为当前最终发行版之前的所有版本提供支持
回复
头像
paulcross
帖子: 484
注册时间: 2006-07-23 20:27
送出感谢: 0
接收感谢: 0

[建议]为什么不在光盘里把那些c语言和c++语言用到的编译库加进去啊

#1

帖子 paulcross » 2007-11-22 17:21

许多东西都是需要编译的
教程里都没说怎么下那些库
安装光盘里也不带
每次都不能编译程序
不知道这些人怎么想的 linux的软件安装多半是要编译的 居然系统自己不带编译库 !

windows还知道自己带上.net呢
starboys
帖子: 132
注册时间: 2007-06-30 20:33
送出感谢: 0
接收感谢: 0

#2

帖子 starboys » 2007-11-23 0:28

在线装就是了啊!而且可以用apt-get build-dep来装编译用的依赖包,很方便的。
eatmore
帖子: 15
注册时间: 2005-10-16 8:18
送出感谢: 0
接收感谢: 0

Re: [建议]为什么不在光盘里把那些c语言和c++语言用到的编译库加进去啊

#3

帖子 eatmore » 2007-11-23 10:58

paulcross 写了:许多东西都是需要编译的
教程里都没说怎么下那些库
安装光盘里也不带
每次都不能编译程序
不知道这些人怎么想的 linux的软件安装多半是要编译的 居然系统自己不带编译库 !

windows还知道自己带上.net呢
Windows带的只是.Net运行库,并不是.Net开发环境。
光盘里面不带估计是因为不是所有人都需要开发环境,加上光盘容量问题,你用DVD版本应该包含了吧。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#4

帖子 dbzhang800 » 2007-11-23 11:06

不是每一个用系统的人都是编程高手。

从源内装软件的话,根本不需要编译器。

既然你认为
许多东西都是需要编译的
,就说明你是高手,或者用到了不太常用的软件,或者是太新的软件,不管怎么说不应该过于抱怨依赖关系
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2007-11-23 11:15

光盘里面是有基本编译环境的. build-essential.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
回复

回到 “老旧版本支持”